{% extends "base.html" %}

{% load static %}

{% block title %}Events{% endblock %}

{% block css %}{% static 'css/style.css' %}{% endblock %}

{% block content %}

<!-- Event-list -->
<div class="container">
    {% if all_events %}
    <h2 class="top-title">Events Page</h2>
	<div class="row">
		{% for event in all_events %}
			<div class="event col-sm-4">
				<div class="top-box top-box-center">
					<div class="title">{{ event.title }}</div>
				</div>
				<div class="back-box event-back-box">
					<div class="front-box event-front-box no-border">
                        <p class="desc">{{ event.date }} - {{ event.time }}</p>
						<p class="desc">{{ event.description }}</p>
					</div>
					<div class="bottom-box">
						<div style="font-weight: bold">Pendaftar:</div>
						{% if event.attendant.all %}
                            {% for person in event.attendant.all %}<a>{{ person.username }}</a>{% endfor %}
                        {% else %}
                            <p>Belum ada pendaftar untuk event ini</p>
                        {% endif %}
					</div>
				</div>
				{% if user.is_authenticated %}
					<button type="button" class="btn navbar-btn button-nav reg-event-button auth-register" onclick="register('{{ event.title }}')">Daftar</button>
				{% else %}
					<button type="button" class="btn navbar-btn button-nav reg-event-button unauth-register" onclick="signInModal()">Daftar</button>
				{% endif %}
			</div>
		{% endfor %}
		<div id="sign-in-modal" class="modal">
			<div class="modal-content">
				<span class="close" id="close1">&times;</span>
				<p>You have to sign in before registering for an event</p>
				<a href="{% url 'social:begin' 'google-oauth2' %}" style="text-transform:none">
					<div style="color:black">
						<img width="20px" alt="Google &quot;G&quot; Logo" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png"/>
						Sign in with Google
					</div>
				</a>
			</div>
		</div>
		<div id="had-registered-modal" class="modal">
			<div class="modal-content">
				<span class="close" id="close2">&times;</span>
				<p>You had registered to this event</p>
			</div>
		</div>
		<div id="success-modal" class="modal">
			<div class="modal-content">
				<span class="close" id="close3">&times;</span>
				<p>You have successfully registered for this event</p>
			</div>
		</div>
	</div>
    {% else %}
    <h2 class="top-title">There are no events at the moment</h2>
    {% endif %}
</div>

<script>
	var modal1 = document.getElementById('sign-in-modal');
	var modal2 = document.getElementById('had-registered-modal');
	var modal3 = document.getElementById('success-modal');
	var span1 = document.getElementById("close1");
	var span2 = document.getElementById("close2");
	var span3 = document.getElementById("close3");

	function signInModal() {
		modal1.style.display = "block";
	}

	span1.onclick = function() {
  		modal1.style.display = "none";
	}

	span2.onclick = function() {
		modal2.style.display = "none";
	}

	span3.onclick = function() {
		modal3.style.display = "none";
	}

	window.onclick = function(event) {
  		if (event.target == modal1) {
    		modal1.style.display = "none";
  		}
		if (event.target == modal2) {
    		modal2.style.display = "none";
  		}
		if (event.target == modal3) {
    		modal3.style.display = "none";
  		}
	}

	function register(reg_event) {
		//console.log("Masuk register");
		var xhttp = new XMLHttpRequest();
		xhttp.onreadystatechange = function() {
			if (this.readyState == 4 && this.status == 200) {
				var temp = JSON.parse(this.response);
				if (temp.success) {
					modal3.style.display = "block";
				} else {
					modal2.style.display = "block";
				}
			}
		};
		xhttp.open("GET", "http://ppw-e-tp.herokuapp.com/events/" + reg_event, true);
		xhttp.send();
		var cek = false
	}

</script>

{% endblock %}